/*
 * $RCSfile: getkey.c,v $
 *
 * Copyright (c) 1995  Arizona Board of Regents
 *
 */
#include <sys/types.h>
#include <sys/socket.h>
#include <net/route.h>
#include "xsi_main.h"
#include <ip.h>

int
getkey(int nparts, void * keykey, int kksize, void * key, int ksize)
{
    int size;

    xTrace4(xsi, TR_FUNCTIONAL_TRACE,
         "getkey(nparts=%d,keykeybuf=%x,keykeysize=%x,keybuf=%x)",
          nparts,keykey,kksize,key);

    if (!xsi_server) {
	xsi_user_init();
    } /* if */

XSI(getkey, (xsi_server, xsi_cid, nparts, keykey, kksize, key, ksize, &size, &stat));

    return size;
} /* getkey */

/*** end of getkey.c ***/
