/*     
 * $RCS$
 *
 * $LOG$
 *
 * x-kernel v3.2
 *
 * Copyright (c) 1994,1993,1991,1990  Arizona Board of Regents
 *
 *
 *
 */

#define		SAIDMGR_MAX_ALLOWED_ALGORITHM	16
#define		SAIDMGR_SPI_MAP_SIZE		32

typedef struct {
     XObj       kx;
     XObj       vnet;
     XObj       kma;
     XObj       kmb;
     XObj       km_algo_db;
     XObj       *km_list;
     XAlgorithm *km_name;
     XAlgorithm allowed_allgorithm[SAIDMGR_MAX_ALLOWED_ALGORITHM+1];
     XSaid	said;
     Semaphore  inc_mutex;  
     Map	spi_map;   
 } PSTATE;

typedef struct sstate {
     XSaid	lsaid;
     IPhost	myhost;
     IPhost	remotehost;
     XAlgorithm algorithm;
     XIpsecMode mode;
} SSTATE;

typedef struct spilist {
     XSaid	local_spi;
     XSaid	remote_spi;
     struct spilist * next;
} SPILIST;


