/*
 * $RCSfile: config.h,v $
 *
 * Universal Stub Compiler
 *
 * Copyright (c) 1994    Arizona Board of Regents
 *
 * $Revision: 1.2 $
 * $Date: 1994/11/18 21:10:12 $
 */

typedef struct {
  int size;
  int memsize;
  int alignment;
  ByteOrder byteorder;
  char *name;
} BucketInfo;

typedef struct {
  int num_regs;
  int reg_size;
  BucketInfo long_info;
  BucketInfo int_info;
  BucketInfo short_info;
  BucketInfo char_info;
} MachineInfo;

extern MachineInfo machine_info;
extern int         configured;


#define MAX_BITFIELD_SIZE (((!machine_info.long_info.size)&&do_preprocess)? \
			   256: (8 * machine_info.long_info.size) )

#define MAX_BORDER_SIZE   33

#define DEFAULT_NUM_REGS              8
#define DEFAULT_REG_SIZE              0

#define STRUCT_ALIGN    1

#define MAXLONG_SIZE    8

#define OUTPUT_FILE     "out.c"
#define VALIDATE_FILE   "out.val.c"
#define PREPROCESS_FILE "out.p.c"
#define TEMP_PREFIX     "usc"

#define LOCAL_PREFIX    "l_"
#define RETURN_PREFIX   "r_"
#define VAR_ARRAY_VAR   "count"

#define DEFAULT_NATIVE_COMPILER    "gcc -O"
